import request from '@/api/request.js'
/* 购物车|查询购物车 */
function basket(data){
	return request({
		url: '/api/Shop/basket',
		method: 'get',
		data
	})
}
/* 购物车|删除购物车所有 */
function clearbasket(data){
	return request({
		url: '/api/Shop/clearbasket',
		method: 'post',
		data
	})
}
/* 购物车|删除购物 */
function delbasket(data){
	return request({
		url: '/api/Shop/delbasket',
		method: 'post',
		data
	})
}
/* 商城-订单信息 */
function checkbasket(data){
	return request({
		url: '/api/shop/checkbasket',
		method: 'post', 
		data
	})
}

/* 商城-自提查询 */
function pickup(data){
	return request({
		url: '/api/Ajax/pickup',
		method: 'post', 
		data
	})
}
/* 商城-支付 */
function checkPayPassword(data){
	return request({
		url: '/api/Shop/checkPayPassword',
		method: 'post', 
		data
	})
}


export default {
    basket,
    clearbasket,
    delbasket,
    checkbasket,
    pickup,
    checkPayPassword
}